Extending Qt Creator Manual | PropertyReader

Extending Qt Creator Manual 4.5.2

# PropertyReader Class

(QmlJS::PropertyReader)

- List of all members, including inherited members

## Public Functions

| PropertyReader(Document::Ptr doc, AST::UiObjectInitializer *ast)
bool | hasProperty(const QString &propertyName) const
bool | isBindingOrEnum(const QString &propertyName) const
QLinearGradient | parseGradient(const QString &propertyName, bool *isBound) const
QStringList | properties() const
QString | readAstValue(const QString &propertyName) const
QVariant | readProperty(const QString &propertyName) const

## Member Function Documentation

### PropertyReader::PropertyReader(Document::Ptr doc, AST::UiObjectInitializer *ast)

Default constructs an instance of PropertyReader.

### bool PropertyReader::hasProperty(const QString &propertyName) const

### bool PropertyReader::isBindingOrEnum(const QString &propertyName) const

### QLinearGradient PropertyReader::parseGradient(const QString &propertyName, bool *isBound) const

### QStringList PropertyReader::properties() const

### QString PropertyReader::readAstValue(const QString &propertyName) const

### QVariant PropertyReader::readProperty(const QString &propertyName) const